Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryKeyValue

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryKeyValue

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRegistryKeyValue

extends java.lang.Object
implements EPPCodecComponent

Defines one key, value pair used in `EPPRegistryCustomData`. The <registry:value> element contains a required "key" attribute for the value in the element. Use `getKey()` and `getKey()` to get and set the key. Use `getValue()` and `setValue(String)` to get and set the value.

Version:
  1.4
Author:
  ljia
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTR_KEY` XML attribute name for the `key` attribute.
`static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryKeyValue` root element.

Constructor Summary
`EPPRegistryKeyValue()` Default constructor.
`EPPRegistryKeyValue(java.lang.String key, java.lang.String value)` Constructs a new instance with given key and value.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRegistryKeyValue`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryKeyValue` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryKeyValue` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryKeyValue` compare.
`java.lang.String` | `getKey()` Get the key.
`java.lang.String` | `getRootName()` Get the root name.
`java.lang.String` | `getValue()` Get the value
`void` | `setKey(java.lang.String key)` Set the key.
`void` | `setValue(java.lang.String value)` Set the value
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML Element Name of `EPPRegistryKeyValue` root element.

  See Also:
    Constant Field Values

### ATTR_KEY

    public static final java.lang.String ATTR_KEY

  XML attribute name for the `key` attribute.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRegistryKeyValue

    public EPPRegistryKeyValue()

  Default constructor. All attributes are set to default values. Must call `setKey(String)` and `setValue(String)` before calling `encode(Document)`.

### EPPRegistryKeyValue

    public EPPRegistryKeyValue(java.lang.String key,
                               java.lang.String value)

  Constructs a new instance with given key and value.

  Parameters:
    `key` -
    `value` -

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPRegistryKeyValue` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPRegistryKeyValue` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPRegistryKeyValue` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPRegistryKeyValue` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPRegistryKeyValue` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRegistryKeyValue`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRegistryKeyValue`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRegistryKeyValue` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRegistryKeyValue` instance to compare with
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getKey

    public java.lang.String getKey()

  Get the key.

  Returns:
    key

### setKey

    public void setKey(java.lang.String key)

  Set the key.

  Parameters:
    `key` -

### getValue

    public java.lang.String getValue()

  Get the value

  Returns:
    value

### setValue

    public void setValue(java.lang.String value)

  Set the value

  Parameters:
    `value` -

### getRootName

    public java.lang.String getRootName()

  Get the root name.

  Returns:
    root name of the xml element. Always return `ELM_NAME`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.